﻿
ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE  ADD (CAN_MONTANT_DEPASSEMENT  NUMBER     DEFAULT 13 NOT NULL  );

ALTER TABLE JEFY_ADMIN.code_analytique ADD 
  CONSTRAINT FK_code_analytique_CMdepas 
 FOREIGN KEY (CAN_MONTANT_DEPASSEMENT) 
 REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID)  ;
 
 
ALTER TABLE JEFY_ADMIN.CODE_ANALYTIQUE
 ADD CONSTRAINT CK_CODE_ANALYTIQUE_CMDEPASS
 CHECK (can_montant_depassement in (13,14,15));